org.eclipse.actf.util.win32.msaa

## Interface IAccessible

All Superinterfaces:
  IDispatch, IResource, IUnknown

    public interface IAccessible
    extends IDispatch

Wrapper for IAccessible object see http://msdn.microsoft.com/en-us/library/accessibility.iaccessible.aspx

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`boolean` `accDoDefaultAction(int child)`
`void` `accSelect(int selflagTakefocus, int child)`
`int` `getAccChildCount()`
`String` `getAccDescription(int child)`
`String` `getAccKeyboardShortcut(int child)`
`String` `getAccName(int child)`
`int` `getAccRole(int child)`
`int` `getAccState(int child)`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IDispatch

`cacheDispIDs, get, get, invoke, invoke0, invoke1, newIDispatch, put`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Method Detail

#### getAccKeyboardShortcut

    String getAccKeyboardShortcut(int child)

#### getAccState

    int getAccState(int child)

#### accDoDefaultAction

    boolean accDoDefaultAction(int child)

#### getAccChildCount

    int getAccChildCount()

#### getAccRole

    int getAccRole(int child)

#### getAccName

    String getAccName(int child)

#### accSelect

    void accSelect(int selflagTakefocus,
                 int child)

#### getAccDescription

    String getAccDescription(int child)